Bug 233670 - rhn-applet crashes due to entries within sources file - KeyError: url
rhn-applet crashes due to entries within sources file - KeyError: url
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shannon Hughes
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-23 14:15 EDT by Matt Seitz
Modified: 2012-06-20 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Seitz 2007-03-23 14:15:24 EDT
+++ This bug was initially created as a clone of Bug #144903 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
The new version of RHN Applet released during Update 4 for Enterprise
Linux 3 included code to allow RHN Applet to parse the
/etc/sysconfig/rhn/sources file to give APT and YUM support into the
application (matching similar features given in up2date which also
uses this file).

It seems though that if specify within the sources file that you have
local disk repo, such as :

dir my-favorite-rpms-i386-9 /var/spool/RPMS/

Then rhn-applet-gui and rhn-applet-tui will both fail with the
following traceback message :

Traceback (most recent call last):
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 460, in
refresh_handler
    self.refresh(force)
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 577, in
refresh
    if self.nag_check():
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 533, in
nag_check
    self.model.get_caps()
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_model.py", line
255, in get_caps
    self.fully_initialized()
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_model.py", line
368, in fully_initialized
    self.__build_sources()
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_model.py", line
134, in __build_sources
    rhn_utils.log_debug("Failed to initialize source %s for %s : %s
%s" % (
KeyError: url 

Version-Release number of selected component (if applicable):
rhn-applet-2.1.18-4

How reproducible:
Always

Steps to Reproduce:
1. Configure up2date to use a local disk repo for RPMS
2. Use up2date sucessfully
3. Watch rhn-applet-{gui,tui} traceback and fail due to the entries


Additional info:

-- Additional comment from alikins@redhat.com on 2005-01-14 14:32 EST --
Hmm, interesting. The applet simply doesn't implement
`dir` style repos. It probably should. Or at very
least, not traceback on it.
Comment 1 Red Hat Bugzilla 2007-04-11 22:17:36 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Jiri Pallich 2012-06-20 12:58:01 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.